package travel.entity;
// Generated Apr 13, 2017 10:12:16 PM by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Binhchon generated by hbm2java
 */
@Entity
@Table(name="binhchon"
    ,catalog="travel_tour"
)
public class Binhchon  implements java.io.Serializable {


     private Integer id;
     private Tour tour;
     private String ten;
     private String email;
     private int diem;

    public Binhchon() {
    }

    public Binhchon(Tour tour, String ten, String email, int diem) {
       this.tour = tour;
       this.ten = ten;
       this.email = email;
       this.diem = diem;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="id_tour", nullable=false)
    public Tour getTour() {
        return this.tour;
    }
    
    public void setTour(Tour tour) {
        this.tour = tour;
    }

    
    @Column(name="ten", nullable=false, length=200)
    public String getTen() {
        return this.ten;
    }
    
    public void setTen(String ten) {
        this.ten = ten;
    }

    
    @Column(name="email", nullable=false, length=200)
    public String getEmail() {
        return this.email;
    }
    
    public void setEmail(String email) {
        this.email = email;
    }

    
    @Column(name="diem", nullable=false)
    public int getDiem() {
        return this.diem;
    }
    
    public void setDiem(int diem) {
        this.diem = diem;
    }




}


